Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/reading/getreadingstats

# Reading stats

GET `https://api.rewind.rest/v1/reading/stats`

Returns aggregate reading statistics: total articles, finished count, currently reading, total highlights, word count, and average read time.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Response

#### 200

Reading statistics

#### total\_articles (number, required)

#### finished\_count (number, required)

#### currently\_reading\_count (number, required)

#### total\_highlights (number, required)

#### total\_word\_count (number, required)

#### avg\_estimated\_read\_min (number, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/reading/stats' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/reading/stats', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/reading/stats',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "total_articles": 0,
  "finished_count": 0,
  "currently_reading_count": 0,
  "total_highlights": 0,
  "total_word_count": 0,
  "avg_estimated_read_min": 0
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
